public class CuentaCorriente {
    public static final int MAXIMO_DESCUBIERTO = 1000;
    private final String titular;
    private double saldo;
    public CuentaCorriente(String titular, int saldo) {
        this.saldo = saldo;
        this.titular = titular;
    }
    public CuentaCorriente(String titular) {
        this(titular, 0);
    }
    public double getSaldo() {
        return saldo;
    }
    public String getTitular() {
        return titular;
    }
    public void ingresar(double ingreso) {
        saldo += ingreso;
    }
    public boolean retirar(double dineroRetirado) {
        if (saldo - dineroRetirado >= -1 * MAXIMO_DESCUBIERTO) {
            saldo -= dineroRetirado;
            return true;
        }
        return false;
    }
    @Override
    public String toString() {
        return "Titular: " + titular + ".Saldo: " + saldo + "€";
    }
}
